> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claimr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile

> Updates user's name / alias / team. Creates campaign entry if needed.



## OpenAPI

````yaml /openapi.yaml post /user
openapi: 3.0.0
info:
  title: claimr API
  version: 1.0.0
  description: >-
    Advanced features of claimr for business partners. This API provides a
    seamless integration with claimr services
  termsOfService: https://claimr.io/terms-of-service/
  contact:
    name: claimr support team
    email: support@claimr.io
servers:
  - url: https://prod.claimr.io/api/v1
    description: Production server
  - url: https://prod.claimr.io/api/v1
    description: Development server
security: []
tags: []
paths:
  /user:
    post:
      tags:
        - User
      summary: Update User Profile
      description: Updates user's name / alias / team. Creates campaign entry if needed.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - account
                - platform
                - pid
              properties:
                account:
                  type: string
                  description: Account identifier of the user being referred
                platform:
                  type: string
                  description: Platform of the user's account
                pid:
                  type: string
                  description: Campaign ID (must belong to the authenticated organization)
                name:
                  type: string
                  description: New user's name
                alias:
                  type: string
                  description: New user's alias
                team:
                  type: string
                  description: New user's team id
      responses:
        '200':
          description: User successfully updated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    description: Empty data object
        '400':
          $ref: '#/components/responses/bad_request'
          description: >-
            Bad request - missing parameters, campaign not found, campaign
            doesn't belong to organization, user not found
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/access_denied'
        '500':
          $ref: '#/components/responses/internal_error'
      security:
        - bearer: []
components:
  responses:
    bad_request:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 400
                  message:
                    type: string
                    default: bad request
    unauthorized:
      description: Unauthorized request
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 401
                  message:
                    type: string
                    default: unauthorized
    access_denied:
      description: Access denied
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 403
                  message:
                    type: string
                    default: access denied
    internal_error:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 500
                  message:
                    type: string
                    default: internal error
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````